🚧 The Signature.nc API documentation in under construction, feel free to contact-us.
docs
v3.0
API
API tokens
Get token usage

Get token usage

GET/tokens/usage

The API endpoint returns usage details for the currently authenticated token, resolved from the bearer credential (not a path param). The response includes the token's environment, usage count, webhook URLs, and its list of submissions. Internal id, tokenID and token fields are stripped.

NodeJS
var axios = require("axios").default;
 
var options = {
  method: 'GET',
  url: 'https://api.signature.nc/api/v3/tokens/usage',
  headers: {'Authorization': 'Bearer {apiKey}'}
};
 
axios.request(options).then(function (response) {
  console.log(response.data);
}).catch(function (error) {
  console.error(error);
});
json
{
    "uuid": "a54af2ab-2668-44f8-896b-7e16cc6c8c53",
    "environment": "production",
    "nbUsed": 12,
    "sentWebhookUrl": "https://your-app.example.com/webhooks/digit",
    "signedWebhookUrl": "https://your-app.example.com/webhooks/digit",
    "completedWebhookUrl": null,
    "submissions": [
        {
            "name": "Acme NDA",
            "uuid": "27f4235b-e0a5-47fd-a3a3-723462f57a7c",
            "createdAt": "2026-06-22T10:00:00.000Z",
            "updatedAt": "2026-06-22T10:05:00.000Z"
        }
    ]
}